# Module sup_wpool

- Description
- Function Index
- Function Details

supervisor for wpool workers.

Copyright © 2007-2013 Zuse Institute Berlin

Version: $Id$

Behaviours: `supervisor`.

Authors: Jan Fajerski (`fajerski@informatik.hu-berlin.de`).

## Description

supervisor for wpool workers

## Function Index

init/1 |
start_link/1 |
supspec/1 |

## Function Details

### start_link/1

    start_link(DHTNodeGroup :: pid_groups:groupname()) ->
                  {ok, Pid :: pid(), pid_groups:groupname()} |
                  ignore |
                  {error,
                   Error ::
                       {already_started, Pid :: pid()} |
                       shutdown |
                       term()}

### init/1

    init(DHTNodeGroup :: pid_groups:groupname()) ->
            {ok,
             {{one_for_one,
               MaxRetries :: pos_integer(),
               PeriodInSeconds :: pos_integer()},
              []}}

### supspec/1

    supspec(X1 :: any()) ->
               {ok,
                {{one_for_one,
                  MaxRetries :: pos_integer(),
                  PeriodInSeconds :: pos_integer()},
                 []}}

Generated by EDoc, Feb 29 2016, 16:12:16.